/* Bootstrap variable customizations */
$headings-color: #727272;
$headings-font-weight: 600;
$enable-gradients: false;

$info:#2679cc;
$danger: rgb(185, 32, 32);

$font-size-base: 1rem;
$h1-font-size: $font-size-base * 1.5;
$h2-font-size: $font-size-base * 1.4;
$h3-font-size: $font-size-base * 1.3;
$h4-font-size: $font-size-base * 1.2;
$h5-font-size: $font-size-base * 1.1;
$h6-font-size: $font-size-base;

$base-theme-color: #548300;

$color: #999999;
$links: #0074AD;
$links-hover: #005580;
$footer-height: 45px;

$sci-link-color: #0076B6;
$sci-heading-color: #727272;

$high-contrast-grey: #666666;

@mixin shadowed {
    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .2);
}

@mixin border-radius-all($radius: 3px) {
    border-radius: $radius;
}

@mixin input-focus {
    border-color: $base-theme-color;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(194, 228, 136, .6);
}

/* Bootstrap imports */
@import "../../../../../node_modules/bootstrap/scss/functions";
@import "../../../../../node_modules/bootstrap/scss/variables";
@import "../../../../../node_modules/bootstrap/scss/mixins";
@import "../../../../../node_modules/bootstrap/scss/alert";
// @import "../../../../../node_modules/bootstrap/scss/badge";
@import "../../../../../node_modules/bootstrap/scss/breadcrumb";
@import "../../../../../node_modules/bootstrap/scss/button-group";
@import "../../../../../node_modules/bootstrap/scss/buttons";
@import "../../../../../node_modules/bootstrap/scss/card";
// @import "../../../../../node_modules/bootstrap/scss/carousel";
@import "../../../../../node_modules/bootstrap/scss/close";
// @import "../../../../../node_modules/bootstrap/scss/code";
@import "../../../../../node_modules/bootstrap/scss/custom-forms";
@import "../../../../../node_modules/bootstrap/scss/dropdown";
@import "../../../../../node_modules/bootstrap/scss/forms";
@import "../../../../../node_modules/bootstrap/scss/grid";
// @import "../../../../../node_modules/bootstrap/scss/images";
@import "../../../../../node_modules/bootstrap/scss/input-group";
// @import "../../../../../node_modules/bootstrap/scss/jumbotron";
// @import "../../../../../node_modules/bootstrap/scss/list-group";
// @import "../../../../../node_modules/bootstrap/scss/media";
@import "../../../../../node_modules/bootstrap/scss/modal";
@import "../../../../../node_modules/bootstrap/scss/navbar";
@import "../../../../../node_modules/bootstrap/scss/nav";
@import "../../../../../node_modules/bootstrap/scss/pagination";
// @import "../../../../../node_modules/bootstrap/scss/popover";
@import "../../../../../node_modules/bootstrap/scss/print";
// @import "../../../../../node_modules/bootstrap/scss/progress";
@import "../../../../../node_modules/bootstrap/scss/reboot";
@import "../../../../../node_modules/bootstrap/scss/root";
// @import "../../../../../node_modules/bootstrap/scss/spinners";
@import "../../../../../node_modules/bootstrap/scss/tables";
// @import "../../../../../node_modules/bootstrap/scss/toasts";
@import "../../../../../node_modules/bootstrap/scss/tooltip";
@import "../../../../../node_modules/bootstrap/scss/transitions";
@import "../../../../../node_modules/bootstrap/scss/type";
@import "../../../../../node_modules/bootstrap/scss/utilities";

/* Koha imports */
@import "fonts";

// Sticky footer styles
html,
body {
    height: 100%;
    // The html and body elements cannot have any padding or margin.
}

body {
    background: #FCF9FC none;
    display: flex;
    height: 100%;
    flex-direction: column;
}

a {
    &:link,
    &:visited {
        color: $links;
    }
}

a,
button {
    &:hover,
    &:active {
        color: $links-hover;
    }
}

caption {
    caption-side: top;
    color: #727272;
    font-size: 110%;
    font-weight: bold;
    margin: 0;
    text-align: left;
}

.dropdown-menu-right {
    left: auto;
    right: 0;
}

.fa {
    &.fa-icon-black,
    &.fa-icon-white {
        color: #000;
    }

    &.danger {
        color: #C00;
    }
}

.navbar-nav {
    margin-right: 0;

    & > li {
        & > a {
            color: $high-contrast-grey;
            font-weight: bold;
        }

        & > .dropdown-menu {
            &.dropdown-menu-right {
                &::after {
                    left: unset;
                    right: 10px;
                }

                &::before {
                    left: unset;
                    right: 9px;
                }
            }
        }
    }

}

.main {
    background-color: #FFF;
    border: 1px solid #F0F3F3;
    margin: 15px;
    padding: 1rem 0;
}


.alert {
    &.alert-info,
    &.alert-warning {
        color: #000;
    }

    &.alert-error {
        @extend .alert-warning
    }
}

.btn-primary {
    background-color: $base-theme-color;
    border: 1px solid darken($base-theme-color, 10%);
    color: #FFF;

    &:link,
    &:visited {
        color: #FFF;
    }

    &:hover,
    &:active {
        background-color: $base-theme-color;
        border-color: lighten($base-theme-color, 5%);
        box-shadow: 0 0 0 1px lighten(saturate($base-theme-color, 0.5), 4);
        color: #FFF;
    }

    &:focus {
        box-shadow: 0 0 0 2px lighten($base-theme-color, 10%);
    }
}

.btn-danger {
    $base-bg: #B92020;
    background-color: $base-bg;
    background-image: linear-gradient(to bottom, lighten(saturate($base-bg, 0.5), 4), $base-bg );
    background-position: 0;
    border: 1px solid darken( $base-bg, 5% );
    color: #FFF;

    &:link,
    &:visited {
        color: #FFF;
    }

    &:hover,
    &:active {
        $base-bg: darken( $base-bg, 2);
        background-color: $base-bg;
        background-image: linear-gradient(to bottom, lighten(saturate($base-bg, 0.5), 4), $base-bg );
        color: #FFF;
    }

    &:focus {
        box-shadow: 0 0 0 2px lighten($base-bg, 10%);
    }
}

.btn-default,
.btn-secondary {
    $base-bg: #e6e6e6;
    background-color: $base-bg;
    background-image: linear-gradient(to bottom, lighten(saturate($base-bg, 0.5), 4), $base-bg);
    background-position: 0;
    border: 1px solid darken($base-bg, 20%);
    color: #000;

    &:link,
    &:visited {
        color: #000;
    }

    &:hover,
    &:active {
        $base-bg: darken($base-bg, 2);
        background-color: $base-bg;
        background-image: linear-gradient(to bottom, lighten(saturate($base-bg, 0.5), 4), $base-bg);
        color: #000;
    }

    &:focus {
        box-shadow: 0 0 0 2px darken($base-bg, 10%);
    }

    &:not(:disabled):not(.disabled):active,
    &:not(:disabled):not(.disabled).active {
        color: #000;
    }
}

input[type="text"],
input[type="password"],
select,
textarea,
.form-control {
    &:focus {
        border-color: $base-theme-color;
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(194,228,136,.6)
    }
}

.dt-buttons {
    display: flex;
    flex-wrap: wrap;
}

.dt-button {
    background-color: transparent;
    border: 0;
    color: lighten( $links, 1.2 );
    line-height: 20px;
    padding: 4px 12px;
    text-align: center;
    text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
    vertical-align: middle;

    &:hover {
        color: $links-hover;

        &::before {
            color: #338468;
        }
    }

    &::before {
        color: #4466AE;
        font-family: FontAwesome;
        display: inline-block;
        padding-right: .5em;
    }

    &.disabled {
        color: #333;
        opacity: .65;
        pointer-events: none;

        &:hover {
            color: #333;
            filter: alpha(opacity=65);
            opacity: 0.65;
        }

        i {

            &.fa,
            &.fa:hover {
                color: #333;
                filter: alpha(opacity=65);
                opacity: 0.65;
            }
        }
    }
}

div.dt-button-collection button.dt-button,
div.dt-button-collection div.dt-button,
div.dt-button-collection a.dt-button {
    position: relative;
    left: 0;
    right: 0;
    width: 100%;
    display: block;
    float: none;
    margin-bottom: 4px;
    margin-right: 0;
}

div.dt-button-collection {
    width: auto
}

div.dt-button-collection button.dt-button {
    border-radius: 2px;
    text-align: left
}

div.dt-button-collection button.dt-button.buttons-collection {
    border: 0
}

div.dt-button-collection button.dt-button.buttons-columnVisibility {
    background: #fff none;
    border: 1px solid #eee;
    box-shadow: none;
    font-size: 1em;
    margin: 0 0 4px;
    padding: .3em .7em;
    text-shadow: none
}

div.dt-button-collection button.dt-button.buttons-columnVisibility:before {
    color: #c00;
    content: "\f00d";
    display: inline-block;
    font-family: FontAwesome;
    margin-right: .5em;
    width: 1em
}

div.dt-button-collection button.dt-button.buttons-columnVisibility:hover {
    background: #ffc none;
    border: 1px solid #999;
    box-shadow: none
}

div.dt-button-collection button.dt-button.buttons-columnVisibility:hover:before {
    color: #538200;
    content: "\f00c";
    display: inline-block;
    font-family: FontAwesome;
    margin-right: .5em;
    width: 1em
}

div.dt-button-collection button.dt-button.buttons-columnVisibility:active:not(.disabled):hover:not(.disabled) {
    background: transparent none;
    box-shadow: none
}

div.dt-button-collection button.dt-button.buttons-columnVisibility.active {
    background: #e6f0f2 none;
    border-color: #999;
    box-shadow: none
}

div.dt-button-collection button.dt-button.buttons-columnVisibility.active:hover {
    background: #ffc none
}

div.dt-button-collection button.dt-button.buttons-columnVisibility.active:hover:before {
    color: #c00;
    content: "\f00d";
    display: inline-block;
    font-family: FontAwesome;
    margin-right: .5em;
    width: 1em
}

div.dt-button-collection button.dt-button.buttons-columnVisibility.active:not(.disabled):hover:not(.disabled) {
    background: transparent none;
    box-shadow: none
}

div.dt-button-collection button.dt-button.buttons-columnVisibility.active:before {
    color: $base-theme-color;
    content: "\f00c";
    display: inline-block;
    font-family: FontAwesome;
    margin-right: .5em;
    width: 1em;
}

div.dt-button-collection button.dt-button.buttons-html5,
div.dt-button-collection button.dt-button.buttons-print {
    background: #fff none;
    border: 1px solid #eee;
    box-shadow: none;
    font-size: 1.2em;
    margin: 0 0 4px;
    padding: .3em .7em;
    text-shadow: none
}

div.dt-button-collection button.dt-button.buttons-html5:hover,
div.dt-button-collection button.dt-button.buttons-print:hover {
    background: #ffc none
}

div.dt-button-collection button.dt-button.buttons-html5:not(.disabled):before {
    color: #222bac;
    display: inline-block;
    font-family: FontAwesome;
    margin-right: .5em;
    width: 1em
}

div.dt-button-collection button.dt-button.buttons-excel:not(.disabled):before {
    content: "\f1c3"
}

div.dt-button-collection button.dt-button.buttons-csv:not(.disabled):before {
    content: "\f0ce"
}

div.dt-button-collection button.dt-button.buttons-copy:not(.disabled):before {
    content: "\f0c5"
}

div.dt-button-collection button.dt-button.buttons-print:not(.disabled):before {
    color: #222bac;
    content: "\f02f";
    display: inline-block;
    font-family: FontAwesome;
    margin-right: .5em;
    width: 1em
}

.dt-button-info {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 400px;
    margin-top: -100px;
    margin-left: -200px;
    background-color: #FFF;
    border: 2px solid $links-hover;
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.3);
    border-radius: 3px;
    text-align: center;
    z-index: 21;

    h2 {
        padding: 0.5em;
        margin: 0;
        font-weight: normal;
        border-bottom: 1px solid #ddd;
        background-color: #f3f3f3;
    }

    &>div {
        padding: 1em;
    }
}

.buttons-print {
    &::before {
        content: "\f02f";
    }
}

.buttons-csv {
    &::before {
        content: "\f0ce";
    }
}

.buttons-copy {
    &::before {
        content: "\f0c5";
    }
}

.buttons-ical {
    &::before {
        content: "\f073";
    }

    &:hover {
        text-decoration: none;
    }
}

.buttons-renew,
.buttons-renewall {
    &:hover {
        i.fa {
            color: #338468;
        }
    }
}

.buttons-colvis {
    &::before {
        content: "\f013";
    }
}

.table_controls {
    display: flex;

    .dataTables_filter {
        label {
            input {
                margin-left: 5px;
            }
        }

        input {
            @extend .form-control;
            @extend .form-control-sm;
            display: inline-block;
            width: auto;

            &:focus {
                @include input-focus;
            }
        }
    }
}

.table_entries {
    margin-left: 5px;
    padding: 5px 0;
    font-size: 90%;
    color: #797979;
}

[class^="icon-"] {
    vertical-align: 0;
}
[class*=" icon-"] {
    vertical-align: 0;
}

.table {
    .sorting_asc {
        background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI2bW0iIGhlaWdodD0iMi4zODRtbSIgdmlld0JveD0iMCAwIDYuMDAwMDAwMiAyLjM4NDAzODkiPjxnPjxwYXRoIGZpbGw9IiMwMDZhY2MiIGQ9Ik00LjA1IDEuNzRoLTIuMUwzIC42NHoiLz48L2c+PC9zdmc+") no-repeat scroll 100% 80% #E2E8E8;
        padding-right: 19px;
    }

    .sorting_desc {
        background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI2bW0iIGhlaWdodD0iMi4zODRtbSIgdmlld0JveD0iMCAwIDYuMDAwMDAwMiAyLjM4NDAzODkiPjxnPjxwYXRoIGZpbGw9IiMwMDZhY2MiIGQ9Ik00LjA1LjY0aC0yLjFMMyAxLjc0eiIvPjwvZz48L3N2Zz4=") no-repeat scroll 100% 80% #E2E8E8;
        padding-right: 19px;
    }

    .sorting {
        background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI2bW0iIGhlaWdodD0iMi41NTFtbSIgdmlld0JveD0iMCAwIDYuMDAwMDAwMyAyLjU1MDY2MTQiPjxwYXRoIGZpbGw9IiNhY2FjYWMiIGQ9Ik00LjA1IDEuNDVoLTIuMUwzIDIuNTV6Ii8+PHBhdGggZmlsbD0iI2FjYWNhYyIgZD0iTTQuMDUgMS4xaC0yLjFMMyAweiIvPjwvc3ZnPg==") no-repeat scroll 100% 75% #E2E8E8;
        padding-right: 19px;
    }

    .nosort,
    .nosort.sorting_asc,
    .nosort.sorting_desc,
    .nosort.sorting {
        background: #E2E8E8 none;
        padding-right: 19px;
    }

    th,
    td {
        line-height: 135%;
    }
}

/* jQuery UI standard tabs */
.ui-tabs-nav .ui-tabs-active a,
.ui-tabs-nav a:hover,
.ui-tabs-nav a:focus,
.ui-tabs-nav a:active,
.ui-tabs-nav span.a {
    background: none repeat scroll 0 0 transparent;
    outline: 0 none;
}

.ui-widget,
.ui-widget a,
.ui-widget input,
.ui-widget select,
.ui-widget textarea,
.ui-widget button {
    font-family: 'NotoSans';
    font-size: inherit;
}

ul {
    &.ui-tabs-nav {
        li {
            list-style: none;
        }
    }
}

.ui-tabs {
    .ui-tabs-nav {
        li {
            background: #F0F3F3 none;
            border-color: #D8D8D8;
            margin-right: .4em;

            &.ui-tabs-active {
                background-color: #FFF;
                border: 1px solid #D8D8D8;
                border-bottom: 0;

                a {
                    color: #727272;
                    font-weight: bold;
                }

                &.ui-state-hover {
                    background: #FFF none;
                    &.ui-state-active {
                        background: #FFF none;
                    }
                }
            }

            &.ui-state-default.ui-state-hover {
                background: #F3F3F3 none;
            }
        }
    }

    .ui-tabs-panel {
        border: 1px solid #D8D8D8;
        margin-bottom: 1em;
    }

    &.ui-widget-content {
        background: transparent none;
        border: 0;
    }

    .ui-state-default {
        a {
            &:link {
                color: #006699;
            }

            &:visited {
                color: #006699;
            }
        }
    }

    .ui-state-hover a {
        &:link {
            color: #990033;
        }

        &:visited {
            color: #990033;
        }
    }
}

.ui-tabs-nav {
    &.ui-widget-header {
        background: none;
        border: 0;
    }
}

.ui-corner-top {
    border-radius: 0px;
}

.statictabs {
    ul {
        background: none repeat scroll 0 0 transparent;
        border: 0 none;
        border-bottom-left-radius: 4px;
        border-bottom-right-radius: 4px;
        border-top-left-radius: 4px;
        border-top-right-radius: 4px;
        color: #222222;
        font-size: 100%;
        font-weight: bold;
        line-height: 1.3;
        list-style: none outside none;
        margin: 0;
        outline: 0 none;
        padding: .2em .2em 0;
        text-decoration: none;

        &::before {
            content: "";
            display: table;
        }

        &::after {
            clear: both;
            content: "";
            display: table;
        }
    }

    li {
        background: none repeat scroll 0 0 #E6F0F2;
        border: 1px solid #B9D8D9;
        border-bottom: 0 none !important;
        border-top-left-radius: 4px;
        border-top-right-radius: 4px;
        color: #555555;
        float: left;
        font-weight: normal;
        list-style: none outside none;
        margin-bottom: 0;
        margin-right: .4em;
        padding: 0;
        position: relative;
        top: 1px;
        white-space: nowrap;

        &.active {
            background-color: #FFFFFF;
            color: #212121;
            font-weight: normal;
            padding-bottom: 1px;

            a {
                background: none repeat scroll 0 0 transparent;
                color: #000000;
                cursor: text;
                font-weight: bold;
                outline: 0 none;
            }
        }

        a {
            color: darken( $links, 5% );
            cursor: pointer;
            float: left;
            padding: .5em 1em;
            text-decoration: none;

            &:hover {
                background-color: #EDF4F5;
                border-top-left-radius: 4px;
                border-top-right-radius: 4px;
                color: #538200;
            }
        }
    }

    .tabs-container {
        background: none repeat scroll 0 0 transparent;
        border: 1px solid #B9D8D9;
        border-bottom-left-radius: 4px;
        border-bottom-right-radius: 4px;
        color: #222222;
        display: block;
        padding: 1em 1.4em;
    }
}

/* End jQueryUI tab styles */

/* jQuery UI Datepicker */

.ui-datepicker {
    @include shadowed;
    table {
        border: 0;
        border-collapse: collapse;
        font-size: .9em;
        margin: 0 0 .4em;
        width: 100%;
    }

    th {
        background: transparent none;
        border: 0;
        font-weight: bold;
        padding: .7em .3em;
        text-align: center;
    }
}

.ui-datepicker-trigger {
    margin: 0 3px;
    vertical-align: middle;
}

/* End jQueryUI datepicker styles */


/* jQueryUI Core */

.ui-widget-content {
    background: #FFFFFF none;
    border: 1px solid #AAA;
    color: #222222;
}

.ui-widget-header {
    background: #E6F0F2 none;
    border: 1px solid #AAA;
    color: #222222;
    font-weight: bold;
}

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
    background: #F4F8F9 none;
    border: 1px solid #AAA;
    color: #555555;
    font-weight: normal;
}

.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus {
    background: #E6F0F2 none;
    border: 1px solid #AAA;
    color: #212121;
    font-weight: normal;
}

.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active {
    background: #FFFFFF none;
    border: 1px solid #AAAAAA;
    color: #212121;
    font-weight: normal;
}

.ui-state-highlight,
.ui-widget-content .ui-state-highlight,
.ui-widget-header .ui-state-highlight {
    background: #FBF9EE;
    border: 1px solid #FCEFA1;
    color: #363636;
}

.ui-state-error,
.ui-widget-content .ui-state-error,
.ui-widget-header .ui-state-error {
    background: #FEF1EC;
    border: 1px solid #CD0A0A;
    color: #CD0A0A;
}

/* end jQueryUI core */

.close {
    color: #0088CC;
    filter: none;
    float: none;
    font-size: inherit;
    font-weight: normal;
    opacity: inherit;
    position: inherit;
    right: auto;
    text-shadow: none;
    top: auto;
}

.close:hover {
    color: $links-hover;
    filter: inherit;
    font-size: inherit;
    opacity: inherit;
}

/* Redefine a new style for Bootstrap's class "close" since we use that already */
/* Use <a class="closebtn" href="#">&times;</a> */

.modal-header .closebtn {
    margin-top: 2px;
}

.closebtn {
    color: #000000;
    float: right;
    font-size: 20px;
    font-weight: bold;
    line-height: 20px;
    opacity: .2;
    text-shadow: 0 1px 0 #FFFFFF;

    &:hover {
        color: #000000;
        cursor: pointer;
        opacity: .4;
        text-decoration: none;
    }
}

button {
    &.closebtn {
        background: transparent;
        border: 0;
        cursor: pointer;
        padding: 0;
    }

    &.remove {
        &:hover {
            color: #900;

            i {
                &.fa {
                    color: #c60000;
                }
            }
        }
    }
}

.btn-link {
    color: $links;

    &:focus,
    &:hover {
        text-decoration: none;
    }

    &:focus {
        box-shadow: 0 0 0 1px lighten($links, 20%);
    }

    &.btn-lg {
        font-size: 100%;
    }
}

.btn.disabled,
.btn[disabled] {
    &:hover {
        color: #333;
        filter: alpha(opacity=65);
        opacity: 0.65;
    }
    i {
        &.fa,
        &.fa:hover {
            color: #333;
            filter: alpha(opacity=65);
            opacity: 0.65;
        }
    }
}

.modal {
    form {
        margin: 0;
    }
}

.nav-link {
    &.active {
        font-weight: bold;
    }
}

.tab-content {
    padding: 15px 0;
}

#logo {
    background: transparent url( "../images/koha-green-logo.svg" ) no-repeat scroll 0%;
    border: 0;
    float: left !important;
    margin: 0;
    padding: 0;
    width: 100px;

    a {
        border: 0;
        cursor: pointer;
        display: block;
        height: 0 !important;
        margin: 0;
        overflow: hidden;
        padding: 40px 0 0;
        text-decoration: none;
        width: 100px;
        &:focus {
            background-color: transparent;
        }
    }
}

#changelanguage {
    background-color: #FFF;
    border-top: 1px solid #EEE;
    padding: 0 1rem;
    flex-shrink: 0;

    .navbar-text {
        font-weight: bold;
    }
}

.fonts-loaded {
    body,
    button,
    input,
    optgroup,
    option,
    select,
    textarea {
        font-family: "NotoSans", sans-serif;
    }
}

.navbar {
    .divider-vertical {
        border-left-color: #FCF9FC;
        border-right-color: #FCF9FC;
    }

    .nav {
        li {
            &.dropdown {
                > a {
                    &:focus {
                        .caret {
                            border-bottom-color: $base-theme-color;
                            border-top-color: $base-theme-color;
                        }
                    }

                    &:hover {
                        .caret {
                            border-bottom-color: $base-theme-color;
                            border-top-color: $base-theme-color;
                        }
                    }
                }
            }
        }
    }
}

.navbar-inverse {
    .brand {
        color: #9FE1FF;
        font-weight: bold;
    }

    .navbar-inner {
        background: #FCF9FC none;
        border-color: #FCF9FC;
        box-shadow: none;

        ul {
            &.dropdown-menu {
                a {
                    &:hover {
                        color: #FFF;
                    }
                }
            }
        }

        li {
            > a {
                color: #727272;
                font-weight: bold;
                text-shadow: none;

                &:hover {
                    color: $base-theme-color;
                }

                &:focus {
                    color: $base-theme-color;
                }
            }

            &.dropdown {
                > a {
                    &:hover {
                        .caret {
                            border-bottom-color: $base-theme-color;
                            border-top-color: $base-theme-color;
                        }
                    }

                    &:focus {
                        .caret {
                            border-bottom-color: $base-theme-color;
                            border-top-color: $base-theme-color;
                        }
                    }
                }

                &.open {
                    > .dropdown-toggle {
                        background-color: transparent;
                        color: $base-theme-color;

                        .caret {
                            border-bottom-color: $base-theme-color;
                            border-top-color: $base-theme-color;

                            &:hover {
                                border-bottom-color: $base-theme-color;
                                border-top-color: $base-theme-color;
                            }
                        }
                    }
                }
            }
        }
    }
}

.navbar-inner {
    background: #FCF9FC none;
}

.navbar-fixed-bottom {
    &.navbar-static-bottom {
        position: static;
    }

    .navbar-inner {
        box-shadow: none;
        min-height: $footer-height;
    }
}

// Wrapper for page content to push down footer
#wrap {
    height: auto !important;
    height: 100%;
    margin: 0 auto -#{$footer-height + 1};
    // Negative indent footer by its height
    min-height: 100%;
    padding-left: 40px;
    padding-right: 40px;
}

#changelanguage {
    clear: both;
    // Set the fixed height of the footer here
    min-height: $footer-height;

    .nav {
        > .active {
            > p {
                padding: 0 15px;
            }
        }
    }
}

#i18nMenu {
    margin-left: 1em;

    li {
        font-size: 85%;

        a {
            &:hover {
                color: $base-theme-color;
            }
        }

        li {
            font-size: 100%;

            > a {
                font-size: 100%;

                &:hover {
                    color: #FFF;
                }
            }

        }

        a {
            color: $links;
        }
    }

    .dropdown-menu {
        li {
            p {
                clear: both;
                display: block;
                font-weight: normal;
                line-height: 20px;
                padding: 3px 20px;
                white-space: nowrap;
            }
        }
    }
}

.dropdown-menu {
    border-radius: 0px;
    > li {
        > a {
            font-size: 90%;
            &:hover {
                background: $base-theme-color none;
            }
            &:focus {
                background: $base-theme-color none;
            }
        }
    }
}

.dropdown-item:active {
    background-color: $links;
}

#koha_url {
    p {
        color: $high-contrast-grey;
        float: right;
        margin: 0;
    }
}

#wrapper {
    flex: 1 0 auto;
    padding-left: 40px;
    padding-right: 40px;
}
